Subject: Re: [PATCH v2 1/5] refs: make branchname helpers repository aware

From: Tian Yuchen <[email-masked]>
Date: Sun, 29 Mar 2026 23:37:25 +0800

Hi,

On 3/29/26 17:55, Shreyansh Paliwal wrote:

> 
> Thanks for pointing this out. Apparently it didn't raise any errors in the
> build or test suite. Will send a reroll.

Oh, then that’s likely because the static libraries have some kind of 
on-demand
linking mechanism or something. Interesting.
  > I hadn’t considered this as it is outside my scope of this patch series.
> While the change makes sense, I am not very sure whether it could cause
> any behavioral change or not.
> Thanks.

That's certainly true, I also think it’s better not to make drastic 
changes. ;)

Regards, Yuchen